---------------------
PatchSet 10839 
Date: 2007/06/02 12:01:34
Author: hno
Branch: HEAD
Tag: (none) 
Log:
Bug #1983: Update the read timeout when reading from an CONNECT tunnel

Members: 
	src/tunnel.cc:1.170->1.171 

Index: squid3/src/tunnel.cc
===================================================================
RCS file: /cvsroot/squid/squid3/src/tunnel.cc,v
retrieving revision 1.170
retrieving revision 1.171
diff -u -r1.170 -r1.171
--- squid3/src/tunnel.cc	2 Jun 2007 11:54:26 -0000	1.170
+++ squid3/src/tunnel.cc	2 Jun 2007 12:01:34 -0000	1.171
@@ -1,6 +1,6 @@
 
 /*
- * $Id: tunnel.cc,v 1.170 2007/06/02 11:54:26 hno Exp $
+ * $Id: tunnel.cc,v 1.171 2007/06/02 12:01:34 hno Exp $
  *
  * DEBUG: section 26    Secure Sockets Layer Proxy
  * AUTHOR: Duane Wessels
@@ -229,6 +229,8 @@
 
     debugs(26, 3, "tunnelReadServer: FD " << server.fd() << ", read   " << len << " bytes");
 
+    commSetTimeout(server.fd(), Config.Timeout.read, tunnelTimeout, this);
+
     if (len > 0) {
         server.bytesIn(len);
         kb_incr(&statCounter.server.all.kbytes_in, len);
